Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.internal.artifacts.publish.maven.deploy
Class AbstractMavenResolver

    java.lang.Object
      org.gradle.api.internal.artifacts.publish.maven.deploy.AbstractMavenResolver

All Implemented Interfaces:
  MavenResolver

    class AbstractMavenResolver
    extends java.lang.Object

author:
  Hans Dockter

Constructor Summary
`AbstractMavenResolver(java.lang.String name, PomFilterContainer pomFilterContainer, ArtifactPomContainer artifactPomContainer, ConfigurationContainer configurationContainer)`

Method Summary
`void` | `abortPublishTransaction()`
`MavenPom` | `addFilter(java.lang.String name, PublishFilter publishFilter)`
`void` | `beginPublishTransaction(ModuleRevisionId module, boolean overwrite)`
`void` | `commitPublishTransaction()`
`protected InstallDeployTaskSupport` | `createPreConfiguredTask(Project project)`
`DownloadReport` | `download(Artifact[] artifacts, DownloadOptions options)`
`ArtifactDownloadReport` | `download(ArtifactOrigin artifact, DownloadOptions options)`
`void` | `dumpSettings()`
`boolean` | `exists(Artifact artifact)`
`PublishFilter` | `filter(java.lang.String name)`
`ResolvedResource` | `findIvyFileRef(DependencyDescriptor dd, ResolveData data)`
`java.lang.Iterable` | `getActivePomFilters()`
`ArtifactPomContainer` | `getArtifactPomContainer()`
`ConfigurationContainer` | `getConfigurationContainer()`
`ResolvedModuleRevision` | `getDependency(DependencyDescriptor dd, ResolveData data)`
`PublishFilter` | `getFilter()`
`java.lang.String` | `getName()`
`Namespace` | `getNamespace()`
`MavenPom` | `getPom()`
`PomFilterContainer` | `getPomFilterContainer()`
`RepositoryCacheManager` | `getRepositoryCacheManager()`
`Settings` | `getSettings()`
`ModuleEntry[]` | `listModules(OrganisationEntry org)`
`OrganisationEntry[]` | `listOrganisations()`
`RevisionEntry[]` | `listRevisions(ModuleEntry module)`
`java.lang.String[]` | `listTokenValues(java.lang.String token, Map otherTokenValues)`
`Map[]` | `listTokenValues(java.lang.String[] tokens, Map criteria)`
`ArtifactOrigin` | `locate(Artifact artifact)`
`MavenPom` | `pom(java.lang.String name)`
`void` | `publish(Artifact artifact, File src, boolean overwrite)`
`void` | `reportFailure()`
`void` | `reportFailure(Artifact art)`
`void` | `setArtifactPomContainer(ArtifactPomContainer artifactPomContainer)`
`void` | `setConfigurationContainer(ConfigurationContainer configurationContainer)`
`void` | `setFilter(PublishFilter defaultFilter)`
`void` | `setName(java.lang.String name)`
`void` | `setPom(MavenPom defaultPom)`
`void` | `setPomFilterContainer(PomFilterContainer pomFilterContainer)`
`void` | `setSettings(ResolverSettings settings)`

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### AbstractMavenResolver

    public AbstractMavenResolver(java.lang.String name, PomFilterContainer pomFilterContainer, ArtifactPomContainer artifactPomContainer, ConfigurationContainer configurationContainer)

Method Detail

### abortPublishTransaction

    public void abortPublishTransaction()

### addFilter

    public MavenPom addFilter(java.lang.String name, PublishFilter publishFilter)

### beginPublishTransaction

    public void beginPublishTransaction(ModuleRevisionId module, boolean overwrite)

### commitPublishTransaction

    public void commitPublishTransaction()

### createPreConfiguredTask

    protected InstallDeployTaskSupport createPreConfiguredTask(Project project)

### download

    public DownloadReport download(Artifact[] artifacts, DownloadOptions options)

### download

    public ArtifactDownloadReport download(ArtifactOrigin artifact, DownloadOptions options)

### dumpSettings

    public void dumpSettings()

### exists

    public boolean exists(Artifact artifact)

### filter

    public PublishFilter filter(java.lang.String name)

### findIvyFileRef

    public ResolvedResource findIvyFileRef(DependencyDescriptor dd, ResolveData data)

### getActivePomFilters

    public java.lang.Iterable getActivePomFilters()

### getArtifactPomContainer

    public ArtifactPomContainer getArtifactPomContainer()

### getConfigurationContainer

    public ConfigurationContainer getConfigurationContainer()

### getDependency

    public ResolvedModuleRevision getDependency(DependencyDescriptor dd, ResolveData data)

### getFilter

    public PublishFilter getFilter()

### getName

    public java.lang.String getName()

### getNamespace

    public Namespace getNamespace()

### getPom

    public MavenPom getPom()

### getPomFilterContainer

    public PomFilterContainer getPomFilterContainer()

### getRepositoryCacheManager

    public RepositoryCacheManager getRepositoryCacheManager()

### getSettings

    public Settings getSettings()

### listModules

    public ModuleEntry[] listModules(OrganisationEntry org)

### listOrganisations

    public OrganisationEntry[] listOrganisations()

### listRevisions

    public RevisionEntry[] listRevisions(ModuleEntry module)

### listTokenValues

    public java.lang.String[] listTokenValues(java.lang.String token, Map otherTokenValues)

### listTokenValues

    public Map[] listTokenValues(java.lang.String[] tokens, Map criteria)

### locate

    public ArtifactOrigin locate(Artifact artifact)

### pom

    public MavenPom pom(java.lang.String name)

### publish

    public void publish(Artifact artifact, File src, boolean overwrite)

### reportFailure

    public void reportFailure()

### reportFailure

    public void reportFailure(Artifact art)

### setArtifactPomContainer

    public void setArtifactPomContainer(ArtifactPomContainer artifactPomContainer)

### setConfigurationContainer

    public void setConfigurationContainer(ConfigurationContainer configurationContainer)

### setFilter

    public void setFilter(PublishFilter defaultFilter)

### setName

    public void setName(java.lang.String name)

### setPom

    public void setPom(MavenPom defaultPom)

### setPomFilterContainer

    public void setPomFilterContainer(PomFilterContainer pomFilterContainer)

### setSettings

    public void setSettings(ResolverSettings settings)

Groovy Documentation